from collections import OrderedDict
from rocolib.api.composables.graph.Joint import FingerJoint


wood_models = [
    "Stool",
    "SimpleTable",
    "SimpleChair",
    "RockerChair",
]

paper_models = [
   # "BoatBase",
    "Canoe",
    "Tug",
    "Catamaran",
    "Trimaran",  
    "CatFoil",
    "Paperbot",
]


known_models = OrderedDict([(x, {"t": 3, "joint": FingerJoint(thickness=3)}) for x in wood_models] + 
                           [(x, {"t": 0, "joint": None}) for x in paper_models])
