#!/bin/bash

unset PYTHONPATH

if [ ! -d "ENV" ]; then
  python -m virtualenv ENV && source ENV/bin/activate && pip install -r requirements.txt
fi

alias deactivate=exit

exec bash --init-file <(echo ". ~/.bashrc; . ENV/bin/activate;")
